Package com.pixelmed.dose

# Class ScopeOfDoseAccummulation

java.lang.Object
com.pixelmed.dose.ScopeOfDoseAccummulation

public class ScopeOfDoseAccummulation extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ScopeOfDoseAccummulation`
`IRRADIATION_EVENT`
`static final ScopeOfDoseAccummulation`
`PPS`
`static final ScopeOfDoseAccummulation`
`SERIES`
`static final ScopeOfDoseAccummulation`
`STUDY`

## Method Summary

Modifier and Type
Method
Description
`CodedSequenceItem`
`getCodedSequenceItemForScopeConcept()`
`static CodedSequenceItem`
`getCodedSequenceItemForScopeConcept(ScopeOfDoseAccummulation scope)`
`CodedSequenceItem`
`getCodedSequenceItemForUIDConcept()`
`static CodedSequenceItem`
`getCodedSequenceItemForUIDConcept(ScopeOfDoseAccummulation scope)`
`static ScopeOfDoseAccummulation`
`selectFromCode(CodedSequenceItem csi)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### STUDY

public static final ScopeOfDoseAccummulation STUDY

### SERIES

public static final ScopeOfDoseAccummulation SERIES

### PPS

public static final ScopeOfDoseAccummulation PPS

### IRRADIATION_EVENT

public static final ScopeOfDoseAccummulation IRRADIATION_EVENT

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### selectFromCode

public static ScopeOfDoseAccummulation selectFromCode(CodedSequenceItem csi)

### getCodedSequenceItemForScopeConcept

public static CodedSequenceItem getCodedSequenceItemForScopeConcept(ScopeOfDoseAccummulation scope) throws DicomException

Throws:
  `DicomException`

### getCodedSequenceItemForUIDConcept

public static CodedSequenceItem getCodedSequenceItemForUIDConcept(ScopeOfDoseAccummulation scope) throws DicomException

Throws:
  `DicomException`

### getCodedSequenceItemForScopeConcept

public CodedSequenceItem getCodedSequenceItemForScopeConcept() throws DicomException

Throws:
  `DicomException`

### getCodedSequenceItemForUIDConcept

public CodedSequenceItem getCodedSequenceItemForUIDConcept() throws DicomException

Throws:
  `DicomException`